<template>
  <v-btn text dark @click="logout" v-if="isAuthenticated">
    Logout
  </v-btn>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  props: {
    redirect: {
      type: String
    }
  },
  methods: {
    logout() {
      this.$store.dispatch("identity/logout");
      this.$router.push(this.redirect).catch(e => {
        console.log(e); // eslint-disable-line
      });
    }
  },
  computed: {
    ...mapGetters("identity", ["isAuthenticated"])
  }
};
</script>
